Package org.apache.tapestry5.corelib.components

# Class DevTool

java.lang.Object
org.apache.tapestry5.corelib.components.DevTool

public class DevTool extends Object
Renders a dropdown menu of useful options when developing. By default, the DevTool is disabled (invisible) during production. The DevTool provides the following options:

- Reset the page state, discarding any persistent page properties
- Kill the HttpSession (discarding any server-side state)
- Re-render the page (useful after changing the page or template)
- Re-render the page with rendering comments
- Reload all pages and components: classes, messages, templates
- Open the T5 Dashboard page in a new window

Note that due to conflicts between Prototype and jQuery, the dev tool is hidden after selecting an item from the menu.

Since:
  5.4

Component Parameters
Name | Type | Flags | Default | Default Prefix
--- | --- | --- | --- | ---
class | String |  |  | literal
Additional CSS selectors, e.g., "pull-right" or "dropup".
enabled | boolean |  |  | prop
If false, then the component does not render. Defaults to true unless production mode is enabled.
navbar | boolean |  |  | prop
If true, then the DevTool modifies its markup so as to work within a Bootstrap 3 NavBar. This renders the component as a `<li>` (instead of a `<div>`), and removes the "btn" CSS classes.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `DevTool()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `String`
  `getTriggerClass()`
  `String`
  `getZoneClass()`
  `String`
  `getZoneElement()`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### DevTool

    public DevTool()

- ## Method Details

  - ### getZoneElement

    public String getZoneElement()

  - ### getZoneClass

    public String getZoneClass()

  - ### getTriggerClass

    public String getTriggerClass()